Subject: [bug#74676] [core-packages-team 5/5] DRAFT gnu: gcc: Update gcc, gcc-toolchain to 14.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 26 Dec 2024 12:07:46 +0100

Hi,

Janneke Nieuwenhuizen <[email-masked]> skribis:

> I've built the rust bootstrap several times already, guess I'll just go
> for a new round.  But this time we can maybeu "cheat" with packages that
> are too difficult to build, and build them with another gcc version than
> 14?

I haven’t followed closely (sorry!), but if it’s just a matter of adding
‘gcc-11’ (say) as a native input for a couple of packages, that’s
probably okay.  Except perhaps for C libraries, because then we could
end up with programs depending on two difference versions of libgcc_s.so
& co.

Ludo’.